summaryrefslogtreecommitdiff
path: root/uninit.d/01prompt
diff options
context:
space:
mode:
authorJoey Hess <joey@gnu.kitenet.net>2009-02-24 22:44:05 -0500
committerJoey Hess <joey@gnu.kitenet.net>2009-02-24 22:44:05 -0500
commit0c04235d320c1ebe5e29867dfbcf48109e61d544 (patch)
treee5e676a772fbf5245c6177c9e19f39d095d98150 /uninit.d/01prompt
parent145fb779aef9d955b0029b5e4fe27209a3dd435b (diff)
uninit and auto-init
* Add uninit subcommand, which cleans up all etckeeper and VCS droppings in /etc. This is useful if you want to switch to a different VCS and don't have any history to preserve. (Preserving history and converting is of course possible, but significantly harder.) * Run etckeeper init on initial install. Closes: #505772 (The idea being that if someone doesn't want to use git, they can immediatly uninit to easily reverse this.) * Document how to change the VCS used by etckeeper, without preserving any history. Preserving history left as an exersise for the reader. Closes: #515237
Diffstat (limited to 'uninit.d/01prompt')
-rwxr-xr-xuninit.d/01prompt18
1 files changed, 18 insertions, 0 deletions
diff --git a/uninit.d/01prompt b/uninit.d/01prompt
new file mode 100755
index 0000000..e642a82
--- /dev/null
+++ b/uninit.d/01prompt
@@ -0,0 +1,18 @@
+#!/bin/sh
+set -e
+
+echo "** Warning: etckeeper uninit will DESTROY all recorded history for $ETCKEEPER_DIR"
+echo "** This includes deleting the $VCS repository and ignore file."
+echo ""
+printf "Are you sure you want to do this? [yN] "
+read answer
+case "$answer" in
+ Y|y|yes|YES)
+ echo "Proceeding.."
+ exit 0
+ ;;
+ *)
+ echo "Aborting etckeeper uninit."
+ exit 1
+ ;;
+esac